Subject: RE: bug#22206: 25.1.50; doc string of `define-minor-mode'

From: Drew Adams <[email-masked]>
Date: Fri, 18 Dec 2015 12:11:14 -0800 (PST)

> > What else could it possibly be, except a string?
> 
> A form in the format described in mode-line-format. And that works,
> actually, so I'm not sure we should document it to be more limited.

IMO, we should document what it needs to be.  If it can be more than
a string, then we should document just what it can be.  And in that
case the manual (which states that it is a string) should likewise
be updated to say what the value can be.